Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezarticle/user/imagelist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZArticleMain", "Language" )
| $t
| $article = new eZArticle( $ArticleID )
| $session =& eZSession::globalSession()
| $thumbnail = $article->thumbnailImage()
if(isset( $AddImages)) | $images = $article->images()
if(count( $images)==0) | else
| $i =0

## Variable Documentation

## ◆ $article

$article = new eZArticle( $ArticleID )

Definition at line 50 of file ezarticle/user/imagelist.php.

## ◆ $i

$i =0

Definition at line 85 of file ezarticle/user/imagelist.php.

## ◆ $images

if (isset($AddImages)) $images = $article->images()

Definition at line 75 of file ezarticle/user/imagelist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 32 of file ezarticle/user/imagelist.php.

## ◆ $Language

$Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 33 of file ezarticle/user/imagelist.php.

## ◆ $session

$session =& eZSession::globalSession()

Definition at line 52 of file ezarticle/user/imagelist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezarticle/user/" . $ini->variable( "eZArticleMain", "TemplateDir" ),
"kernel/ezarticle/user/intl/", $Language, "imagelist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezarticle/user/imagelist.php:33
$ini
$ini
Definition: ezarticle/user/imagelist.php:32

Definition at line 39 of file ezarticle/user/imagelist.php.

## ◆ $thumbnail

$thumbnail = $article->thumbnailImage()

Definition at line 57 of file ezarticle/user/imagelist.php.

## ◆ else

if (count($images)==0) else

Initial value:
{
$t->set_var( "no_images", "" )
$t
$t
Definition: ezarticle/user/imagelist.php:39

Definition at line 81 of file ezarticle/user/imagelist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.